import { pluginNamePrefix } from '@vuepress-denaro/core';
import { getDirname, path } from '@vuepress/utils';
import { MoefyCanvasTheme } from '../shared/index.js';
const __dirname = getDirname(import.meta.url);
export const moefyCanvasPlugin = ({ theme, themeConfig = {}, canvasOptions = {} } = {
    theme: MoefyCanvasTheme.Sparkler,
}) => {
    const pluginObj = {
        name: `${pluginNamePrefix}moefy-canvas`,
        define: {
            __MOEFY_CANVAS_THEME__: theme,
            __MOEFY_CANVAS_THEME_CONFIG__: themeConfig,
            __MOEFY_CANVAS_OPTIONS__: canvasOptions,
        },
        clientConfigFile: path.resolve(__dirname, '../client/config.js'),
        alias: {
            // workaround for https://github.com/vitejs/vite/issues/7621
            [`${pluginNamePrefix}moefy-canvas/client`]: path.resolve(__dirname, '../client/index.js'),
        },
    };
    return pluginObj;
};
